iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MATerrainOverlay Class Reference

`#import <MATerrainOverlay.h>`

Inheritance diagram for MATerrainOverlay:

## Instance Methods
(instancetype) | - initDefaultTerrainOverlay
| 初始化地形overlay initialize terrain overlay More...
Instance Methods inherited from MATileOverlay
(NSInteger minimumZ) | - __attribute
(NSInteger maximumZ) | - __attribute
(id) | - initWithURLTemplate:
| 根据指定的URLTemplate生成tileOverlay Generate tileOverlay based on the specified URLTemplate More...
(NSURL *) | - URLForTilePath:
| 以tile path生成URL。用于加载tile,此方法默认填充URLTemplate Generate URL from tile path. Used to load tiles, this method defaults to filling URLTemplate More...
(void) | - loadTileAtPath:result:
| 加载被请求的tile,并以tile数据或加载tile失败error访问回调block;默认实现为首先用URLForTilePath去获取URL,然后用异步NSURLConnection加载tile Load the requested tile and access the callback block with tile data or a tile loading failure error; the default implementation first uses URLForTilePath to obtain the URL, then loads the tile asynchronously with NSURLConnection. More...
(void) | - cancelLoadOfTileAtPath:
| 取消请求瓦片，当地图显示区域发生变化时，会取消显示区域外的瓦片的下载, 当disableOffScreenTileLoading=YES时会被调用。since 5.3.0 Cancel tile requests, when the map display area changes, it will cancel the download of tiles outside the display area, and it will be called when disableOffScreenTileLoading=YES. since 5.3.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Properties
NSString * | terrainURLTemplate
NSString * | terrainTextureURLTemplate
UIImage * | terrainDefalutImage
Properties inherited from MATileOverlay
CGSize | tileSize
NSString * | URLTemplate
BOOL | canReplaceMapContent
BOOL | disableOffScreenTileLoading
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Method Documentation

## ◆ initDefaultTerrainOverlay

- (instancetype) initDefaultTerrainOverlay |  |  |

初始化地形overlay initialize terrain overlay

## Property Documentation

## ◆ terrainDefalutImage

- (UIImage*) terrainDefalutImage
| read write nonatomic strong

## ◆ terrainTextureURLTemplate

- (NSString*) terrainTextureURLTemplate
| read atomic assign

terrainTextureURLTemplate获取地形纹理数据，默认使用高德卫星数据 terrainTextureURLTemplate obtains terrain texture data, defaulting to AutoNavi satellite imagery

## ◆ terrainURLTemplate

- (NSString*) terrainURLTemplate
| read atomic assign

terrainURLTemplate获取地形数据，默认使用高德地形数据 terrainURLTemplate obtains terrain data, defaulting to AutoNavi terrain data

The documentation for this class was generated from the following file:

- MATerrainOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。